key_left = keyboard_check(vk_left); //checking if left key is pressed, boolean
key_right = keyboard_check(vk_right); // checking if right key is pressed, boolean
key_jump = keyboard_check_pressed(vk_space); //checking if spacebar is pressed, boolean

//checking if walking then assigning walk speed to movement
var move = key_right - key_left;
hsp = move * walksp;
vsp = vsp + grv;
if (place_meeting(x,y+1,oFloor)) && (key_jump)
{
	vsp = -11;
}

//horizontal collision
if (place_meeting(x+hsp,y,oFloor))
{
	while (!place_meeting(x+sign(hsp),y,oFloor))
	{
		x = x + sign(hsp);
	}
	hsp = 0;	
}
x = x + hsp;

//vertical collision
if (place_meeting(x,y+vsp,oFloor))
{
	while (!place_meeting(x,y+sign(vsp),oFloor))
	{
		y = y + sign(vsp);
	}
	vsp = 0;	
}
y = y + vsp;

//dropping shells
if (place_meeting(x+sign(hsp), y+sign(vsp),oObstacle)) && (pocketsFull == true)
{
	pocketsFull = false; //poches se vident
	var layerID = layer_get_id("Instances");
	if (hsp != 0)
	{
		instance_create_layer(oPlayer.x-80*sign(hsp),oPlayer.y-80,layerID,oShell);
	}
	
	else 
	{
		instance_create_layer(oPlayer.x+100,oPlayer.y-100,layerID,oShell);
	}
	audio_play_sound(aDamage, 1, false);
}


//animation
if (!place_meeting(x,y+1,oFloor))
{
	sprite_index=sPlayerJump;
	image_speed=0;
	if (sign(vsp) > 0) 
	{
		image_index = 1;
	}
	else 
	{
	image_index = 0;
	}
}

else 
{
	image_speed = 1;
	if (hsp == 0) 
	{
		sprite_index = sPlayer;	
	}
	
	else 
	{
		sprite_index = sPlayerRun;
	}
}

if (hsp != 0) 
{
	image_xscale = sign(hsp);	
}




